@import "../../style/index.scss";

.main{
  @include container;
 
  &__box{
    display: grid;
    grid-template-columns: 1fr 300px;

    margin: 10px;
    
    grid-template-areas:
      "title filter"
      "list  filter"
      "pagination  pagination";
  }
}

.filter{
  grid-area: filter;
}

.title{
  grid-area: title;
}

.list{
  grid-area: list;
}

.pagination{
  grid-area: pagination;
}

@media (max-width:$widthXM){
  .main{
    &__box{
    grid-template-columns: 1fr;
      grid-template-areas:
      "filter"
      "list"
      "pagination";
    }
  }
}

@media(max-width:$widthTD){
  .main{
    width: 100%;

    margin: 0;
    padding: 0;
  }
}